Skip to main content
Settings/AD/LDAP/OAuth Operations
PUTAD/LDAP/OAuth OperationsSince 0.6SynchronousAuth Required

LogInByLdap

LogInByLdap

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • loginbyldapObjectRequired

    loginbyldap request body object.

    • uidStringRequired

      The LDAP UID.

    • passwordStringRequired

      The password.

    • captchaUuidString

      Optional. The verification code UUID.

    • verifyCodeString

      Optional. The verification code.

    • clientInfoMap

      Optional. The client information.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the API succeeds.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySessionInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • accountUuidStringRequired

      The account UUID.

    • userUuidStringRequired

      The user UUID.

    • expiredDateTimestampRequired

      The expiration date of the session.

    • createDateTimestampRequired

      The creation date.

  • accountInventoryAccountInventoryRequired

    See accountInventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      The account type, including administrator and user.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

  • errorErrorCodeRequired

    See error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/ldap/login

/zstack/v1/ldap/login

Operation ID

LogInByLdap

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/ldap/login' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"loginbyldap":{"uid":"<uid>","password":"<password>","captchaUuid":"<captchaUuid>","verifyCode":"<verifyCode>","clientInfo":{}},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "2ce3cd4b2e5c441699edc09e612e916c", "accountUuid": "27df0ac39afd42eab643dfb1d448252b", "expiredDate": "Jun 7, 2017 9:20:34 PM" "noSessionEvaluation": false }, "accountInventory": { "uuid": "243382994e2643c18f5f5ec69305d866", "name": "test", "type": "Normal" } }

Change History

This API has no change history records yet.

View all change history